#include <iostream>

using namespace std;

const int size = 2000;

int recur(int n, int k, int l)
{
	if(l > n) return 0;
	if(k == 0) return n == l ? 1 : 0;
	
	int ret = 0;
	for(int i = 0; i < n; ++i )
	{
		ret+=(i+1)*recur(n-i, k-1, l);
	}
	return ret;
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	
	int n, k;
	cin >> n >> k;
	
	int arr[size];
	
	for(int i = 0; i < n; ++i)
		cin >> arr[i];
	
	for(int i = 1; i <= n; ++i)
	{
	 	int aux[n+1] = { 0 };
	 	for(int j = 1; j <= n; ++j)
	 		aux[j] = j == i ? 1 : 0;
	 	for(int j = 1; j < n; ++j)
	 		aux[j+1] = (j-1)*aux[j]; 
	}
	
}